#include <fstream.h>

int main()
{
	ofstream out("box.out");
	ifstream in ("box.in");

	int ar[12];
	int i,j=0;

	bool c = false;

	int temp;
	while( in>>temp )
	{
		for( i=0; i<j; i++ )
		{
			c = false;
			if( ar[i]==temp )
			{ c = true; break; }
		}

		if( !c )
		{ ar[j]=temp; ++j; }
	}

	if( j==3 )
	{ out<<"POSSIBLE"; }
	else
	{ out<<"IMPOSSIBLE"; }

	

	return 0;
}